/*=============================================================================
| Copyright 2012 Matthew D. Steele <mdsteele@alum.mit.edu>                    |
|                                                                             |
| This file is part of Azimuth.                                               |
|                                                                             |
| Azimuth is free software: you can redistribute it and/or modify it under    |
| the terms of the GNU General Public License as published by the Free        |
| Software Foundation, either version 3 of the License, or (at your option)   |
| any later version.                                                          |
|                                                                             |
| Azimuth is distributed in the hope that it will be useful, but WITHOUT      |
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or       |
| FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for   |
| more details.                                                               |
|                                                                             |
| You should have received a copy of the GNU General Public License along     |
| with Azimuth.  If not, see <http://www.gnu.org/licenses/>.                  |
=============================================================================*/

#pragma once
#ifndef AZIMUTH_TICK_BADDIE_KILOFUGE_H_
#define AZIMUTH_TICK_BADDIE_KILOFUGE_H_

#include <stdbool.h>

#include "azimuth/state/baddie.h"
#include "azimuth/state/space.h"

/*===========================================================================*/

void az_tick_bad_kilofuge(
    az_space_state_t *state, az_baddie_t *baddie, double time);

void az_kilofuge_close_pincers(az_baddie_t *baddie, double time);
void az_kilofuge_open_pincers(az_baddie_t *baddie, double time);
void az_kilofuge_relax_pincers(az_baddie_t *baddie, double time);

bool az_kilofuge_shift_legs(az_baddie_t *baddie, double time, int parity,
                            int direction);

void az_on_kilofuge_damaged(
    az_space_state_t *state, az_baddie_t *baddie, double amount,
    az_damage_flags_t damage_kind);

/*===========================================================================*/

#endif // AZIMUTH_TICK_BADDIE_KILOFUGE_H_
