/*=============================================================================
| Copyright 2012 Matthew D. Steele <mdsteele@alum.mit.edu>                    |
|                                                                             |
| This file is part of Azimuth.                                               |
|                                                                             |
| Azimuth is free software: you can redistribute it and/or modify it under    |
| the terms of the GNU General Public License as published by the Free        |
| Software Foundation, either version 3 of the License, or (at your option)   |
| any later version.                                                          |
|                                                                             |
| Azimuth is distributed in the hope that it will be useful, but WITHOUT      |
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or       |
| FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for   |
| more details.                                                               |
|                                                                             |
| You should have received a copy of the GNU General Public License along     |
| with Azimuth.  If not, see <http://www.gnu.org/licenses/>.                  |
=============================================================================*/

#pragma once
#ifndef ZFXR_STATE_H_
#define ZFXR_STATE_H_

#include <stdbool.h>

#include "azimuth/util/audio.h"
#include "azimuth/util/sound.h"

/*===========================================================================*/

typedef struct {
  az_sound_spec_t sound_spec;
  az_sound_data_t sound_data;
  az_soundboard_t soundboard;
  bool request_play, ready_to_play;
} az_zfxr_state_t;

void az_init_zfxr_state(az_zfxr_state_t *state);

void az_tick_zfxr_state(az_zfxr_state_t *state, double time);

void az_zfxr_random_pickup(az_zfxr_state_t *state);
void az_zfxr_random_laser(az_zfxr_state_t *state);
void az_zfxr_random_explosion(az_zfxr_state_t *state);
void az_zfxr_random_powerup(az_zfxr_state_t *state);
void az_zfxr_random_hurt(az_zfxr_state_t *state);
void az_zfxr_random_jump(az_zfxr_state_t *state);
void az_zfxr_random_blip(az_zfxr_state_t *state);
void az_zfxr_randomize(az_zfxr_state_t *state);

/*===========================================================================*/

#endif // ZFXR_STATE_H_
