/*=============================================================================
| Copyright 2012 Matthew D. Steele <mdsteele@alum.mit.edu>                    |
|                                                                             |
| This file is part of Azimuth.                                               |
|                                                                             |
| Azimuth is free software: you can redistribute it and/or modify it under    |
| the terms of the GNU General Public License as published by the Free        |
| Software Foundation, either version 3 of the License, or (at your option)   |
| any later version.                                                          |
|                                                                             |
| Azimuth is distributed in the hope that it will be useful, but WITHOUT      |
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or       |
| FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for   |
| more details.                                                               |
|                                                                             |
| You should have received a copy of the GNU General Public License along     |
| with Azimuth.  If not, see <http://www.gnu.org/licenses/>.                  |
=============================================================================*/

#pragma once
#ifndef ZFXR_VIEW_H_
#define ZFXR_VIEW_H_

#include <stdbool.h>

#include "azimuth/util/key.h"
#include "zfxr/state.h"

/*===========================================================================*/

void az_zfxr_draw_screen(const az_zfxr_state_t *state);

void az_zfxr_on_click(az_zfxr_state_t *state, int x, int y);

void az_zfxr_on_keypress(az_zfxr_state_t *state, az_key_id_t key_id,
                         bool shift);

/*===========================================================================*/

#endif // ZFXR_VIEW_H_
